## r-cran-poorman 0.2.6+dfsg

=== DESCRIPTION ===
Package: poorman
Type: Package
Title: A Poor Man's Dependency Free Recreation of 'dplyr'
Version: 0.2.6
Authors@R: c(
    person("Nathan", "Eastwood", "", "nathan.eastwood@icloud.com",
           role = c("aut", "cre")),
    person("Etienne", "Bacher", , "etienne.bacher@protonmail.com", role = "ctb",
           comment = c(ORCID = "0000-0002-9271-5075")))
Maintainer: Nathan Eastwood <nathan.eastwood@icloud.com>
Description: A replication of key functionality from 'dplyr' and the wider 'tidyverse' using only 'base'.
URL: https://nathaneastwood.github.io/poorman/,
        https://github.com/nathaneastwood/poorman
BugReports: https://github.com/nathaneastwood/poorman/issues
Depends: R (>= 3.3)
Suggests: knitr, pkgdown, markdown, rmarkdown, roxygen2, tinytest
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.1
VignetteBuilder: knitr
Language: en-GB
NeedsCompilation: no
Packaged: 2022-08-16 16:36:35 UTC; nathan
Author: Nathan Eastwood [aut, cre],
  Etienne Bacher [ctb] (<https://orcid.org/0000-0002-9271-5075>)
Repository: CRAN
Date/Publication: 2022-08-17 07:40:09 UTC

=== debian/changelog ===
r-cran-poorman (0.2.6+dfsg-1) unstable; urgency=medium

  * Fix description
    Closes: #1019566
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 17:12:27 +0200

r-cran-poorman (0.2.5+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1017003)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Aug 2022 16:01:00 +0200

=== debian/control ===
Source: r-cran-poorman
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-poorman
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-poorman.git
Homepage: https://cran.r-project.org/package=poorman
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-poorman
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Poor Man's sependency free recreation of 'dplyr' GNU R package
 A replication of key functionality from 'dplyr' and the wider
 'tidyverse' using only 'base'.

## r-cran-poorman 0.2.7+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: poorman
 Type: Package
 Title: A Poor Man's Dependency Free Recreation of 'dplyr'
-Version: 0.2.6
+Version: 0.2.7
 Authors@R: c(
     person("Nathan", "Eastwood", "", "nathan.eastwood@icloud.com",
            role = c("aut", "cre")),
@@ -13,15 +13,15 @@
         https://github.com/nathaneastwood/poorman
 BugReports: https://github.com/nathaneastwood/poorman/issues
 Depends: R (>= 3.3)
-Suggests: knitr, pkgdown, markdown, rmarkdown, roxygen2, tinytest
+Suggests: knitr, rmarkdown, roxygen2, tinytest
 License: MIT + file LICENSE
 Encoding: UTF-8
 RoxygenNote: 7.2.1
 VignetteBuilder: knitr
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2022-08-16 16:36:35 UTC; nathan
+Packaged: 2023-10-30 21:00:56 UTC; nathan
 Author: Nathan Eastwood [aut, cre],
   Etienne Bacher [ctb] (<https://orcid.org/0000-0002-9271-5075>)
 Repository: CRAN
-Date/Publication: 2022-08-17 07:40:09 UTC
+Date/Publication: 2023-10-30 21:40:02 UTC

=== debian/changelog ===
r-cran-poorman (0.2.7+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 15:02:46 +0100

r-cran-poorman (0.2.6+dfsg-2) unstable; urgency=medium

  * Fix short description
    Closes: #1053129
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Sep 2023 15:15:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-poorman
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-poorman.git
 Homepage: https://cran.r-project.org/package=poorman
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -19,6 +19,6 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Description: Poor Man's sependency free recreation of 'dplyr' GNU R package
+Description: Poor Man's dependency free recreation of 'dplyr' GNU R package
  A replication of key functionality from 'dplyr' and the wider
  'tidyverse' using only 'base'.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-roxygen2,
        r-cran-tinytest
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/poorman_([-\d.]*)\.tar\.gz
